import { build, defineConfigWithTheme, useData } from 'vitepress'
import { VuetomThemeConfig } from 'vitepress-theme-vuetom'
import pkg from '../package.json'
import { getNav, getSidebar, head, locales } from './menus'

const nav = getNav('en-US')
const sidebar = getSidebar('en-US')

export default defineConfigWithTheme<VuetomThemeConfig>({
  base: `/vt/`,
  ignoreDeadLinks: true,
  lastUpdated: true,
  head,
  locales: locales.vitepressConfig,
  themeConfig: {
    nav,
    sidebar,
    localeLinks: {
      text: '',
      items: [
          {
            text: 'English',
            link: '/lang/enus'
          }
      ]
    },
    socialLinks: [
      { icon: 'github', link: pkg.repository }
    ],
    footer: {
      message: 'Using the Vuetom Vitepress Theme.',
      copyright: 'Copyright © 2021-present Lauset'
    },

    logoImg: '/imgs/Avatar.jpg',
    bgImg: '/imgs/homg-bg01-200k.jpg',
    bgColor: '0,0,0',
    bgOpacity: 0.6,
    flashEnable: true,
    flashColor: ['238,17,17', '0,98,255'],
    parallaxEnable: true,
    pageBgEnable: true,
    pageBgOpacity: 0.8,
    featuresColor: ['#06cdff30', 'rgba(223,7,107,.3)']

  },

  markdown: {
    lineNumbers: true
  },
  appearance: true,
  vite: {
    ssr: {
      noExternal: ["vitepress-theme-vuetom"]
    }
  }
})
